debian,ubuntu使用pip安装软件遇到的问题

admin 2015年12月28日 Python学习 1179次阅读 查看评论

debian ubuntu使用pip安装软件遇到的问题


python首先安装 pip和setuptools

wget  --no-check-certificate  https://bootstrap.pypa.io/get-pip.py
chmod +x  ./get-pip.py
./get-pip.py




实例安装

 pip install Scrapy




常见错误1

Command "/usr/bin/python -c "import setuptools, tokenize;__file__='/tmp/pip-build-8Fz2bc/lxml/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-zSJJmF-record/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-build-8Fz2bc/lxml

错误2

Command "/usr/bin/python -c "import setuptools, tokenize;__file__='/tmp/pip-build-5_833V/cffi/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-do0zCd-record/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-build-5_833V/cffi
解决办法


1.安装 libxml2-dev libxslt-dev

aptitude install libxml2-dev libxslt-dev

或者

apt-get install libxml2-dev libxslt-dev


2.安装  libffi-dev

aptitude install  libffi-dev

或者

apt-get install libffi-dev


3.安装 python-twisted


aptitude install  python-twisted

或者

apt-get install python-twisted





« 上一篇 下一篇 » admin原创文章,转载请注明出处! 标签:debianubuntupip

相关日志:

«   2019年11月   »
123
45678910
11121314151617
18192021222324
252627282930
控制面板
您好,欢迎到访网站!
  [查看权限]
网站分类
文章归档
网站收藏
友情链接
图标汇集
  • 又拍云
  • 订阅ipvb的RSS 2.0聚合